//  File name: I2C_EEPROM.h
// -------------- I2C関連定義 --------------
// 各シーケンスの終了を待って復帰
// I2C特殊ビット
#define i2c_Idle()     while((SSPCON2 & 0x1F)|(SSPSTATbits.R_nW))
#define i2c_Start()    SSPCON2bits.SEN=1;while(SSPCON2bits.SEN)
#define i2c_Stop()     SSPCON2bits.PEN=1;while(SSPCON2bits.PEN)
#define i2c_reStart()  SSPCON2bits.RSEN=1;while(SSPCON2bits.RSEN)
#define i2c_ACK()      SSPCON2bits.ACKDT=0;SSPCON2bits.ACKEN=1;while(SSPCON2bits.ACKEN)
#define i2c_NACK()     SSPCON2bits.ACKDT=1;SSPCON2bits.ACKEN=1;while(SSPCON2bits.ACKEN)
// -------------- プロトタイプ --------------------------
void i2c_MasterInit(const unsigned long baud);
char i2c_Write(char data);
char i2c_Read( void );
// -------------- EEPROM --------------------------
char EEPROM_AddressSet(unsigned long add);
char EEPROM_ReadCurrent(char block);
