/*************************************
 * File: i2cLCD.h
 *  データをLCDに表示する。
 *    秋月(ACM1602NI)I2C LCD表示器を使用
 *     1MHz (内部クロック）
 *     RB4 SDA
 *     RB6 SCL
 * PIC16F18346 MPLAB XC8 v2.10
 * Created on May 22, 2020, 2:37 PM
 **************************************/
//*********************************************************************
//  調整用定数
//*********************************************************************
#define CONTRAST  0x28          // for 3.3V
// #define CONTRAST  0x18       // for 5.0V

#define _XTAL_FREQ 32000000      // delay_ms(x) のための定義

// -------------- I2C関連定義 ----------------------------
// 各シーケンスの終了を待って復帰
// I2C特殊 condition
//#define i2c_Idle()     while((SSP1CON2&0x1F)|(SSP1STATbits.R_nW))
//#define i2c_Start()    SSP1CON2bits.SEN=1;while(SSP1CON2bits.SEN)
//#define i2c_Stop()     SSP1CON2bits.PEN=1;while(SSP1CON2bits.PEN)
//void i2c_MasterInit(const unsigned long baud);
//char i2c_Write(char data);

// -------------- LCD関連定義 ----------------------------
void i2cByteWrite(char, char, char);
void i2cTxData(char);
void LCD_dat(char);
void LCD_cmd(char);
void LCD_clr(void);
void LCD_posyx(char,char);
void LCD_int(void);
void LCD_str(char *);
